clc
clear all;
close all;
disp('Refer Review Example 9.2');
%Describing Functional Analysis
%Nyquist plot for G(s);
G=tf(3,conv(conv([2 1],[1 1]),[1 0]));
w=[1:0.1:100];
[re im w]=nyquist(G);
re=reshape(re,length(w),1);
im=reshape(im,length(w),1);
plot(re,im);
axis([-5 2 -5 2]);
hold on;
%Describing Funtion plot for saturation
%Refer Eqns(9.56)-(9.58)
S=1;
E=[1:0.5:10]';
N=[1,0.781,0.609,0.495,0.416,0.359,0.315,0.281,0.253,...
    0.230,0.211,0.195,0.181,0.169,0.159,0.149,0.141,0.134,0.127]';
N1=-1./N;
re1=N1;
im1=0*length(N1);
plot(re1,im1,'ro');grid;
%Move the pointer to the intersection point & click.
[X,Y]=ginput(1)
E0=interp1(N1,E,X)
[mag ph w]=bode(G);
ph=reshape(ph,length(w),1);
w0=interp1(ph,w,-180)


