%Controller for sliding mode control 
function U=Controller_slid(E1,E2,X2dDot,N1,N2,M)
%controller parameters
global lambda1 lambda2 k1 k2
%Torque equations of sliding mode controller
temp(1,1)=lambda1*E2(1,1)+X2dDot(1,1)+k1*sign(E2(1,1)+lambda1*E1(1,1));
temp(2,1)=lambda2*E2(2,1)+X2dDot(2,1)+k2*sign(E2(2,1)+lambda2*E1(2,1));
U=[N1;N2]+M*temp;
